FROM debian:latest
MAINTAINER Kameron Kenny <kkenny379@gmail.com>

LABEL version="20250109220036"
LABEL description="Debian Based syslog-ng"

RUN apt-get update
RUN apt-get -y upgrade
RUN apt-get -y install procps vim
RUN apt-get -y install syslog-ng syslog-ng-core syslog-ng-mod-add-contextual-data syslog-ng-mod-amqp syslog-ng-mod-geoip2 syslog-ng-mod-getent syslog-ng-mod-http syslog-ng-mod-journal syslog-ng-mod-map-value-pairs syslog-ng-mod-slog syslog-ng-mod-smtp syslog-ng-mod-snmp syslog-ng-mod-tag-parser syslog-ng-mod-xml-parser syslog-ng-scl

RUN mkdir /config
COPY config /config

RUN mkdir -p /usr/local/share/GeoIP
COPY data/GeoIP/GeoLite2-City.mmdb /usr/local/share/GeoIP/GeoLite2-City.mmdb

RUN unlink /etc/localtime && ln -s /usr/share/zoneinfo/America/Indiana/Indianapolis /etc/localtime

ENTRYPOINT echo "It's alive!" && syslog-ng -F -f /config/syslog-ng.conf --no-caps
